Index: /trunk/ddt/ddt
===================================================================
--- /trunk/ddt/ddt	(revision 344)
+++ /trunk/ddt/ddt	(revision 345)
@@ -21,5 +21,5 @@
 use strict;
 #use warnings;
-use version; our $VERSION = version->declare('0.10.5');
+use version; our $VERSION = version->declare('0.11.0');
 
 use Getopt::Long qw(GetOptions);
@@ -41,5 +41,5 @@
    'add-virtual'        => \&cmd_add_virtual,
    'change-comment'     => \&cmd_change_comment,
-   'change-domainset'   => \&cmd_change_domainset,
+   'change-sector'      => \&cmd_change_sector,
    'change-host'        => \&cmd_change_host,
    'change-ip'          => \&cmd_change_ip,
@@ -47,5 +47,5 @@
    'change-tag'         => \&cmd_change_tag,
    'check-dns'          => \&cmd_check_dns,
-   'create-domainset'   => \&cmd_create_domainset,
+   'create-sector'      => \&cmd_create_sector,
    'create-pool'        => \&cmd_create_pool,
    'create-pxe'         => \&cmd_create_pxe,
@@ -67,5 +67,5 @@
    'search-mac'         => \&cmd_search_mac,
    'show'               => \&cmd_show_host,
-   'show-domainset'     => \&cmd_show_domainset,
+   'show-sector'        => \&cmd_show_sector,
    'show-pool'          => \&cmd_show_pool,
    'show-pxe'           => \&cmd_show_pxe,
@@ -165,14 +165,14 @@
 
 #-------------------------------------------------------------------------------
-#Nom: control_exist_domainset
-#Description: controle l'existence d'un domain set dans le fichier YAML
+#Nom: control_exist_sector
+#Description: controle l'existence d'un sector dans le fichier YAML
 #             return 0 (faux) ou 1 (vrai)
 
-sub control_exist_domainset {
-   my ($computer_db, $domainset) = @_;
-
-   return 1 if exists $computer_db->{$domainset};
-
-   print {*STDERR} "Error: domain set $domainset not found\n";
+sub control_exist_sector {
+   my ($computer_db, $sector) = @_;
+
+   return 1 if exists $computer_db->{$sector};
+
+   print {*STDERR} "Error: sector $sector not found\n";
    return 0;
    }
@@ -184,13 +184,13 @@
 
 sub control_exist_hostname {
-   my ($computer_db, $domainset, $hostname) = @_;
-
-   if ($computer_db->{$domainset} eq '') {
+   my ($computer_db, $sector, $hostname) = @_;
+
+   if ($computer_db->{$sector} eq '') {
       return 1;
       }
 
-   my @domainsetdb = @{$computer_db->{$domainset}};
-
-   for my $computer (@domainsetdb) {
+   my @sectordb = @{$computer_db->{$sector}};
+
+   for my $computer (@sectordb) {
       my ($mac_address, $attribute) = %{$computer};
       return 0 if $attribute->{'hostname'} eq $hostname;
@@ -207,15 +207,15 @@
    my ($computer_db, $mac) = @_;
 
-   for my $domainset_current (keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
-
-      my @domainsetdb = @{$computer_db->{$domainset_current}};
+   for my $sector_current (keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
+
+      my @sectordb = @{$computer_db->{$sector_current}};
 
       LOOP_ON_COMPUTER:
-      for my $computer (@domainsetdb) {
+      for my $computer (@sectordb) {
          my ($mac_address, $attribute) = %{$computer};
          return 0 if $mac_address eq $mac;
@@ -233,13 +233,13 @@
    my ($computer_db, $ip) = @_;
 
-   for my $domainset_current (keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
+   for my $sector_current (keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
 
       LOOP_ON_COMPUTER:
-      for my $computer (@{$computer_db->{$domainset_current}}) {
+      for my $computer (@{$computer_db->{$sector_current}}) {
          my ($mac_address, $attribute) = %{$computer};
          #print "Erreur: cette adresse IP $ip existe déjà\n";
@@ -357,5 +357,5 @@
 
 sub get_mac_from_hostname {
-   my ($computer_db, $domainset, $hostname, $mac) = @_;
+   my ($computer_db, $sector, $hostname, $mac) = @_;
 
    return $mac if $mac ne '';
@@ -363,5 +363,5 @@
 
    LOOP_ON_COMPUTER:
-   for my $computer (@{$computer_db->{$domainset}}) {
+   for my $computer (@{$computer_db->{$sector}}) {
       my ($mac_address, $attribute) = %{$computer};
 
@@ -375,5 +375,5 @@
 
 sub get_mac_from_ip {
-   my ($computer_db, $domainset, $ip, $mac) = @_;
+   my ($computer_db, $sector, $ip, $mac) = @_;
 
    return $mac if $mac ne '';
@@ -381,5 +381,5 @@
 
    LOOP_ON_COMPUTER:
-   for my $computer (@{$computer_db->{$domainset}}) {
+   for my $computer (@{$computer_db->{$sector}}) {
       my ($mac_address, $attribute) = %{$computer};
 
@@ -394,8 +394,8 @@
 
 sub get_computer_from_mac {
-   my ($computer_db, $domainset, $mac) = @_;
+   my ($computer_db, $sector, $mac) = @_;
 
    LOOP_ON_COMPUTER:
-   for my $computer (@{$computer_db->{$domainset}}) {
+   for my $computer (@{$computer_db->{$sector}}) {
       my ($mac_address, $attribute) = %{$computer};
 
@@ -416,13 +416,13 @@
 
 sub add_alias {
-   my ($computer_db, $hostname, $domainset, $alias) = @_;
-
-   control_exist_domainset($computer_db, $domainset) or exit;
-   control_exist_hostname($computer_db, $domainset, $hostname) or die "Error: host already exist in domain set $domainset: $hostname\n";
-
-   my @domainsetdb = @{$computer_db->{$domainset}};
+   my ($computer_db, $hostname, $sector, $alias) = @_;
+
+   control_exist_sector($computer_db, $sector) or exit;
+   control_exist_hostname($computer_db, $sector, $hostname) or die "Error: host already exist in sector $sector: $hostname\n";
+
+   my @sectordb = @{$computer_db->{$sector}};
 
    LOOP_ON_COMPUTER:
-   for my $computer (@domainsetdb) {
+   for my $computer (@sectordb) {
       my ($mac_address, $attribute) = %{$computer};
 
@@ -443,16 +443,16 @@
 
 sub add_static {
-   my ($computer_db, $hostname, $domainset, $ip, $mac, $comment) = @_;
+   my ($computer_db, $hostname, $sector, $ip, $mac, $comment) = @_;
 
    $mac = normalize_mac_address($mac);
    $comment = normalize_comment($comment);
-   control_exist_hostname($computer_db, $domainset, $hostname) or die "Error: host already exist in domain set $domainset: $hostname\n";
+   control_exist_hostname($computer_db, $sector, $hostname) or die "Error: host already exist in sector $sector: $hostname\n";
    control_syntax_mac_address($mac)                   or exit;
    control_exist_mac($computer_db, $mac)              or die "Error: physical MAC address already exists: $mac\n";
    control_syntax_ip($ip)                             or exit;
-   control_exist_ip($computer_db, $ip)                or die "Error: IP address already exist in domain set $domainset: $ip\n";
+   control_exist_ip($computer_db, $ip)                or die "Error: IP address already exist in sector $sector: $ip\n";
    control_syntax_comment($comment)                   or exit;
    my $timestamp = time;
-   push @{$computer_db->{$domainset}}, { $mac => {
+   push @{$computer_db->{$sector}}, { $mac => {
       'hostname'     => $hostname,
       'ip'           => $ip,
@@ -464,5 +464,5 @@
       'alias'        =>  '',
       }};
-   print "Info: add the host: $hostname, IP: $ip, MAC: $mac, domain set: $domainset [OK]\n";
+   print "Info: add the host: $hostname, IP: $ip, MAC: $mac, sector: $sector [OK]\n";
 
    ipamdb_save("$COMPUTER_YAML", $computer_db);
@@ -476,18 +476,18 @@
 
 sub add_dhcp {
-   my ($computer_db, $hostname, $domainset, $ip, $mac, $comment) = @_;
+   my ($computer_db, $hostname, $sector, $ip, $mac, $comment) = @_;
 
    my $timestamp = time;
    $mac = normalize_mac_address($mac);
    $comment = normalize_comment($comment);
-   control_exist_domainset($computer_db, $domainset)  or exit;
-   control_exist_hostname($computer_db, $domainset, $hostname) or die "Error: host already exist in domain set $domainset: $hostname\n";
+   control_exist_sector($computer_db, $sector)  or exit;
+   control_exist_hostname($computer_db, $sector, $hostname) or die "Error: host already exist in sector $sector: $hostname\n";
    control_syntax_mac_address($mac)                   or exit;
    control_exist_mac($computer_db, $mac)              or die "Error: physical MAC address already exists: $mac\n";
    control_syntax_ip($ip)                             or exit;
-   control_exist_ip($computer_db, $ip)                or die "Error: IP address already exist in domain set $domainset: $ip.\n";
+   control_exist_ip($computer_db, $ip)                or die "Error: IP address already exist in sector $sector: $ip.\n";
    control_syntax_comment($comment)                   or exit;
 
-   push @{$computer_db->{$domainset}}, { $mac => {
+   push @{$computer_db->{$sector}}, { $mac => {
       'hostname'     => $hostname,
       'ip'           => $ip,
@@ -499,5 +499,5 @@
       'alias'        => '',
       }};
-   print "Add the computer: $hostname, IP: $ip, MAC: $mac, domain set: $domainset\n";
+   print "Add the computer: $hostname, IP: $ip, MAC: $mac, sector: $sector\n";
 
    ipamdb_save("$COMPUTER_YAML", $computer_db);
@@ -508,15 +508,15 @@
 
 sub add_float {
-   my ($computer_db, $pool, $domainset, $mac, $comment) = @_;
+   my ($computer_db, $pool, $sector, $mac, $comment) = @_;
 
    my $timestamp = time;
    $mac = normalize_mac_address($mac);
    $comment = normalize_comment($comment);
-   control_exist_domainset($computer_db, $domainset)  or exit;
+   control_exist_sector($computer_db, $sector)  or exit;
    control_syntax_mac_address($mac)                   or exit;
    control_exist_mac($computer_db, $mac)              or die "Error: physical MAC address already exists: $mac\n";
    control_exist_pool($computer_db, $pool)            or die "Error: the pool doesn't exists: $pool\n";
    control_syntax_comment($comment)                   or exit;
-   push @{$computer_db->{$domainset}}, { $mac => {
+   push @{$computer_db->{$sector}}, { $mac => {
       'hostname'     => $pool,
       'ip'           => $pool,
@@ -527,5 +527,5 @@
       'comment'      => $comment,
       }};
-   print "Info: add the computer in pool MAC: $mac, domain set: $domainset, Pool: $pool [OK]\n";
+   print "Info: add the computer in pool MAC: $mac, sector: $sector, Pool: $pool [OK]\n";
 
    ipamdb_save("$COMPUTER_YAML", $computer_db);
@@ -540,20 +540,20 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $alias);
+   my ($hostname, $sector, $alias);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'alias|a=s'       => \$alias,
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
    exit_on_error_option($help)
       if $hostname   eq ''
-      or $domainset  eq ''
+      or $sector  eq ''
       or $alias      eq '';
 
    my $computer_db = ipamdb_load($COMPUTER_YAML);
-   add_alias($computer_db, $hostname, $domainset, $alias);
+   add_alias($computer_db, $hostname, $sector, $alias);
    }
 
@@ -564,9 +564,9 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $ip, $mac, $comment);
+   my ($hostname, $sector, $ip, $mac, $comment);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       'mac|m=s'         => \$mac,
@@ -574,8 +574,8 @@
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
    exit_on_error_option($help)
       if $hostname   eq ''
-      or $domainset  eq ''
+      or $sector  eq ''
       or $ip         eq ''
       or $mac        eq ''
@@ -583,5 +583,5 @@
 
    my $computer_db = ipamdb_load($COMPUTER_YAML);
-   add_dhcp($computer_db, $hostname, $domainset, $ip, $mac, $comment);
+   add_dhcp($computer_db, $hostname, $sector, $ip, $mac, $comment);
    }
 
@@ -592,22 +592,22 @@
 
    my $help = get_cmd_name();
-   my ($pool, $domainset, $mac, $comment);
+   my ($pool, $sector, $mac, $comment);
 
    GetOptions(
       'pool|p=s'        => \$pool,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'mac|m=s'         => \$mac,
       'comment|c=s'     => \$comment,
       );
 
-   ($pool, $domainset) = split /\./, $pool, 2 if $pool =~ m/\./;
+   ($pool, $sector) = split /\./, $pool, 2 if $pool =~ m/\./;
    exit_on_error_option($help)
       if $pool       eq ''
-      or $domainset  eq ''
+      or $sector  eq ''
       or $mac        eq ''
       or $comment    eq '';
 
    my $computer_db = ipamdb_load($COMPUTER_YAML);
-   add_float($computer_db, $pool, $domainset, $mac, $comment);
+   add_float($computer_db, $pool, $sector, $mac, $comment);
    }
 
@@ -618,9 +618,9 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $ip, $mac, $comment);
+   my ($hostname, $sector, $ip, $mac, $comment);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       'mac|m=s'         => \$mac,
@@ -628,8 +628,8 @@
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
    exit_on_error_option($help)
       if $hostname   eq ''
-      or $domainset  eq ''
+      or $sector  eq ''
       or $ip         eq ''
       or $mac        eq ''
@@ -637,5 +637,5 @@
 
    my $computer_db = ipamdb_load($COMPUTER_YAML);
-   add_static($computer_db, $hostname, $domainset, $ip, $mac, $comment);
+   add_static($computer_db, $hostname, $sector, $ip, $mac, $comment);
    }
 
@@ -647,17 +647,17 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $ip, $comment);
+   my ($hostname, $sector, $ip, $comment);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       'comment|c=s'     => \$comment,
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
    exit_on_error_option($help)
       if $hostname   eq ''
-      or $domainset  eq ''
+      or $sector  eq ''
       or $ip         eq ''
       or $comment    eq '';
@@ -668,8 +668,8 @@
    my $timestamp = time;
 
-   control_exist_domainset($computer_db, $domainset)           or exit;
-   control_exist_hostname($computer_db, $domainset, $hostname) or die "Error: host already exist in domain set $domainset: $hostname\n";
+   control_exist_sector($computer_db, $sector)           or exit;
+   control_exist_hostname($computer_db, $sector, $hostname) or die "Error: host already exist in sector $sector: $hostname\n";
    control_syntax_ip($ip)                                      or exit;
-   control_exist_ip($computer_db, $ip)                         or die "Error: IP address already exist in domain set $domainset: $ip.\n";
+   control_exist_ip($computer_db, $ip)                         or die "Error: IP address already exist in sector $sector: $ip.\n";
    control_syntax_comment($comment)                            or exit;
 
@@ -678,5 +678,5 @@
    control_exist_mac($computer_db, $mac)         or die "Error: virtual physical MAC address already exists: $mac\n";
 
-   push @{$computer_db->{$domainset}}, { $mac => {
+   push @{$computer_db->{$sector}}, { $mac => {
       'hostname'     => $hostname,
       'ip'           => $ip,
@@ -687,5 +687,5 @@
       'comment'      => $comment,
       }};
-   print "Add the virtual computer: $hostname, IP: $ip, domain set: $domainset\n";
+   print "Add the virtual computer: $hostname, IP: $ip, sector: $sector\n";
 
    ipamdb_save("$COMPUTER_YAML", $computer_db);
@@ -704,10 +704,10 @@
 
 sub change_mac {
-   my ($hostname, $domainset, $ip, $mac) = @_;
+   my ($hostname, $sector, $ip, $mac) = @_;
 
    my $computer_db = ipamdb_load($COMPUTER_YAML);
 
    $mac = normalize_mac_address($mac);
-   control_exist_domainset($computer_db, $domainset)  or exit;
+   control_exist_sector($computer_db, $sector)  or exit;
    control_syntax_mac_address($mac)                   or exit;
    control_exist_mac($computer_db, $mac)              or die "Error: physical MAC address already exists: $mac\n";
@@ -718,9 +718,9 @@
          exit;
          }
-      my @domainsetdb = @{$computer_db->{$domainset}};
+      my @sectordb = @{$computer_db->{$sector}};
       LOOP_ON_COMPUTER:
-      for my $computer (@domainsetdb) {
+      for my $computer (@sectordb) {
          my ($mac_address, $attribute) = %{$computer};
-         die "Error: physical MAC address $mac already exists in domain set $domainset\n" if $mac_address eq $mac;
+         die "Error: physical MAC address $mac already exists in sector $sector\n" if $mac_address eq $mac;
 
          next LOOP_ON_COMPUTER if $attribute->{'ip'} ne $ip;
@@ -731,17 +731,17 @@
 
          ipamdb_save("$COMPUTER_YAML", $computer_db);
-         print "Info: update host $attribute->{'hostname'}, domain set $domainset, MAC $mac, IP $attribute->{'ip'} [OK]\n";
+         print "Info: update host $attribute->{'hostname'}, sector $sector, MAC $mac, IP $attribute->{'ip'} [OK]\n";
          exit;
          }
       }
    elsif ($hostname ne '') {
-      if ( control_exist_hostname($computer_db, $domainset, $hostname) == 1 ) {
-         die "Error: unkown Host: $hostname, in Domain Set: $domainset\n";
-         }
-      my @domainsetdb = @{$computer_db->{$domainset}};
+      if ( control_exist_hostname($computer_db, $sector, $hostname) == 1 ) {
+         die "Error: unkown host $hostname, sector $sector\n";
+         }
+      my @sectordb = @{$computer_db->{$sector}};
       LOOP_ON_COMPUTER:
-      for my $computer (@domainsetdb) {
+      for my $computer (@sectordb) {
          my ($mac_address, $attribute) = %{$computer};
-         die "Error: physical MAC address $mac already exists in domain set $domainset\n" if $mac_address eq $mac;
+         die "Error: physical MAC address $mac already exists in sector $sector\n" if $mac_address eq $mac;
 
          next LOOP_ON_COMPUTER if $attribute->{'hostname'} ne $hostname;
@@ -752,5 +752,5 @@
 
          ipamdb_save("$COMPUTER_YAML", $computer_db);
-         print "Info: update host $attribute->{'hostname'}, domain set $domainset, MAC $mac, IP $attribute->{'ip'} [OK]\n";
+         print "Info: update host $attribute->{'hostname'}, sector $sector, MAC $mac, IP $attribute->{'ip'} [OK]\n";
          exit;
          }
@@ -764,19 +764,19 @@
 
 sub change_ip {
-   my ($hostname, $domainset, $ip) = @_;
-
-   my $computer_db = ipamdb_load($COMPUTER_YAML);
-
-   control_exist_domainset($computer_db, $domainset) or exit;
-   if ( control_exist_hostname($computer_db, $domainset, $hostname) == 1 ) {
-      die "Error: unkown host: $hostname, in domain set: $domainset\n";
+   my ($hostname, $sector, $ip) = @_;
+
+   my $computer_db = ipamdb_load($COMPUTER_YAML);
+
+   control_exist_sector($computer_db, $sector) or exit;
+   if ( control_exist_hostname($computer_db, $sector, $hostname) == 1 ) {
+      die "Error: unkown host: $hostname, in sector: $sector\n";
       }
    control_syntax_ip($ip) or exit;
-   control_exist_ip($computer_db, $ip) or die "Error: IP address already exist in domain set $domainset: $ip\n";
-
-   my @domainsetdb = @{$computer_db->{$domainset}};
+   control_exist_ip($computer_db, $ip) or die "Error: IP address already exist in sector $sector: $ip\n";
+
+   my @sectordb = @{$computer_db->{$sector}};
 
    LOOP_ON_COMPUTER:
-   for my $computer (@domainsetdb) {
+   for my $computer (@sectordb) {
       my ($mac_address, $attribute) = %{$computer};
       
@@ -784,5 +784,5 @@
  
       if ($attribute->{'address_type'} eq 'pool-dhcp') {
-         die "Error: host $hostname from domain set $domainset belongs to a a pool [FAILED]" .
+         die "Error: host $hostname from sector $sector belongs to a a pool [FAILED]" .
             " ... use 'del-float' command before";
          }
@@ -801,19 +801,19 @@
 
 sub change_host {
-   my ($hostname, $domainset, $ip) = @_;
-
-   my $computer_db = ipamdb_load($COMPUTER_YAML);
-
-   control_exist_domainset($computer_db, $domainset) or exit;
+   my ($hostname, $sector, $ip) = @_;
+
+   my $computer_db = ipamdb_load($COMPUTER_YAML);
+
+   control_exist_sector($computer_db, $sector) or exit;
    control_syntax_ip($ip)   or exit;
    if ( control_exist_ip($computer_db, $ip) == 1 ) {
       die "Error: unkown IP address: $ip\n";
       }
-   control_exist_hostname($computer_db, $domainset, $hostname) or die "Error: host already exist in domain set $domainset: $hostname\n";
-
-   my @domainsetdb = @{$computer_db->{$domainset}};
+   control_exist_hostname($computer_db, $sector, $hostname) or die "Error: host already exist in sector $sector: $hostname\n";
+
+   my @sectordb = @{$computer_db->{$sector}};
 
    LOOP_ON_COMPUTER:
-   for my $computer (@domainsetdb) {
+   for my $computer (@sectordb) {
       my ($mac_address, $attribute) = %{$computer};
 
@@ -828,5 +828,5 @@
 
    die "Error: failed to update hostname $hostname [FAILED]\n" .
-      " ... no IP $ip belongs to the domain set $domainset\n";
+      " ... no IP $ip belongs to the sector $sector\n";
    }
 
@@ -837,16 +837,16 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $ip, $mac);
+   my ($hostname, $sector, $ip, $mac);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       'mac|m=s'         => \$mac,
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
-   exit_on_error_option($help)
-      if $domainset  eq ''
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+   exit_on_error_option($help)
+      if $sector  eq ''
       or $mac        eq '';
    exit_on_error_option($help)
@@ -854,5 +854,5 @@
       and $ip        ne '';
 
-   change_mac($hostname, $domainset, $ip, $mac);
+   change_mac($hostname, $sector, $ip, $mac);
    }
 
@@ -863,19 +863,19 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $ip);
+   my ($hostname, $sector, $ip);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
    exit_on_error_option($help)
       if $hostname   eq ''
-      or $domainset  eq ''
+      or $sector  eq ''
       or $ip         eq '';
 
-   change_ip($hostname, $domainset, $ip);
+   change_ip($hostname, $sector, $ip);
    }
 
@@ -886,19 +886,19 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $ip);
+   my ($hostname, $sector, $ip);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
    exit_on_error_option($help)
       if $hostname   eq ''
-      or $domainset  eq ''
+      or $sector  eq ''
       or $ip         eq '';
 
-   change_host($hostname, $domainset, $ip);
+   change_host($hostname, $sector, $ip);
    }
 
@@ -909,8 +909,8 @@
 
    my $help = get_cmd_name();
-   my ($domainset, $mac, $comment);
+   my ($sector, $mac, $comment);
 
    GetOptions(
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'mac|m=s'         => \$mac,
       'comment|c=s'     => \$comment,
@@ -918,5 +918,5 @@
 
    exit_on_error_option($help)
-      if $domainset  eq ''
+      if $sector  eq ''
       or $mac        eq ''
       or $comment    eq '';
@@ -927,12 +927,12 @@
    my $computer_db = ipamdb_load($COMPUTER_YAML);
 
-   control_exist_domainset($computer_db, $domainset)  or exit;
+   control_exist_sector($computer_db, $sector)  or exit;
    control_syntax_mac_address($mac)                   or exit;
    control_syntax_comment($comment)                   or exit;
 
-   my @domainsetdb = @{$computer_db->{$domainset}};
+   my @sectordb = @{$computer_db->{$sector}};
 
    LOOP_ON_COMPUTER:
-   for my $computer (@domainsetdb) {
+   for my $computer (@sectordb) {
       my ($mac_address, $attribute) = %{$computer};
 
@@ -945,17 +945,17 @@
       }
    die "Error : Host $mac comment [FAILED]\n" .
-      " ... No MAC: $mac belongs to the domaine set $domainset.\n";
+      " ... No MAC: $mac belongs to the domaine set $sector.\n";
    }
 
 #--------------------------------------------------------------------------------
 
-sub cmd_change_domainset {
+sub cmd_change_sector {
    local @ARGV = @_;
 
    my $help = get_cmd_name();
-   my ($domainset, $ip, $mac);
+   my ($sector, $ip, $mac);
 
    GetOptions(
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       'mac|m=s'         => \$mac,
@@ -963,5 +963,5 @@
 
    exit_on_error_option($help)
-      if $domainset  eq ''
+      if $sector  eq ''
       or $ip         eq ''
       or $mac        eq '';
@@ -971,28 +971,28 @@
    my $computer_db = ipamdb_load($COMPUTER_YAML);
 
-   control_exist_domainset($computer_db, $domainset)   or exit;
+   control_exist_sector($computer_db, $sector)   or exit;
    control_syntax_ip($ip)                             or exit;
    control_syntax_mac_address($mac)                   or exit;
 
-   LOOP_ON_DOMAINSET:
-   for my $domainset_current (keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
-
-      my @domainsetdb = @{$computer_db->{$domainset_current}};
+   LOOP_ON_SECTOR:
+   for my $sector_current (keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
+
+      my @sectordb = @{$computer_db->{$sector_current}};
       my $computer_index = 0;
       LOOP_ON_COMPUTER:
-      for my $computer (@domainsetdb) {
+      for my $computer (@sectordb) {
          my ($mac_address, $attribute) = %{$computer};
 
          $computer_index++, next LOOP_ON_COMPUTER if $mac_address ne $mac;
-         next LOOP_ON_DOMAINSET if $attribute->{'ip'} ne $ip;
+         next LOOP_ON_SECTOR if $attribute->{'ip'} ne $ip;
 
          $attribute->{'modify_time'} = time;
-         splice(@{$computer_db->{$domainset_current}}, $computer_index => 1);
-         push @{$computer_db->{$domainset}}, { $mac => $attribute };
+         splice(@{$computer_db->{$sector_current}}, $computer_index => 1);
+         push @{$computer_db->{$sector}}, { $mac => $attribute };
 
          ipamdb_save("$COMPUTER_YAML", $computer_db);
@@ -1000,5 +1000,5 @@
          }
       }
-   die "Error: update of domain set $domainset [FAILED]\n" .
+   die "Error: update of sector $sector [FAILED]\n" .
       " ... MAC $mac and IP $ip don't exists in the database\n";
    }
@@ -1010,9 +1010,9 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $ip, $mac, $tags);
+   my ($hostname, $sector, $ip, $mac, $tags);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       'mac|m=s'         => \$mac,
@@ -1020,8 +1020,8 @@
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
-
-   exit_on_error_option($help)
-      if $domainset  eq ''
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+
+   exit_on_error_option($help)
+      if $sector  eq ''
       or $tags       eq '';
    exit_on_error_option($help)
@@ -1043,12 +1043,12 @@
       }
 
-   control_exist_domainset($computer_db, $domainset) or exit;
-
-   $mac = get_mac_from_ip($computer_db, $domainset, $ip, $mac)             if $ip ne '';
-   $mac = get_mac_from_hostname($computer_db, $domainset, $hostname, $mac) if $hostname ne '';
+   control_exist_sector($computer_db, $sector) or exit;
+
+   $mac = get_mac_from_ip($computer_db, $sector, $ip, $mac)             if $ip ne '';
+   $mac = get_mac_from_hostname($computer_db, $sector, $hostname, $mac) if $hostname ne '';
    control_syntax_mac_address($mac) or exit;
 
    LOOP_ON_COMPUTER:
-   for my $computer (@{$computer_db->{$domainset}}) {
+   for my $computer (@{$computer_db->{$sector}}) {
       my ($mac_address, $attribute) = %{$computer};
 
@@ -1063,5 +1063,5 @@
       }
    print "Mise à jour du commentaire de la machine [FAILED]\n";
-   print "L'adresse MAC: $mac n'existe pas dans le domaine: $domainset.\n";
+   print "L'adresse MAC: $mac n'existe pas dans le domaine: $sector.\n";
    }
 
@@ -1075,5 +1075,5 @@
 
 sub disable_pc {
-   my ($hostname, $domainset, $ip) = @_;
+   my ($hostname, $sector, $ip) = @_;
 
    my $computer_db = ipamdb_load($COMPUTER_YAML);
@@ -1085,14 +1085,14 @@
          }
 
-      for my $domainset_current (keys %{$computer_db}) {
-         next if $domainset_current eq 'dset';
-         next if $domainset_current eq 'pool';
-         next if $domainset_current eq 'pxe';
-         next if $domainset_current eq 'tag';
-         next if $domainset_current eq 'version';
-
-         my @domainsetdb = @{$computer_db->{$domainset_current}};
+      for my $sector_current (keys %{$computer_db}) {
+         next if $sector_current eq 'dset';
+         next if $sector_current eq 'pool';
+         next if $sector_current eq 'pxe';
+         next if $sector_current eq 'tag';
+         next if $sector_current eq 'version';
+
+         my @sectordb = @{$computer_db->{$sector_current}};
          LOOP_ON_COMPUTER:
-         for my $computer (@domainsetdb) {
+         for my $computer (@sectordb) {
             my ($mac_address, $attribute) = %{$computer};
 
@@ -1100,5 +1100,5 @@
 
             if ($attribute->{'enabled'} eq 'no') {
-               print "Info: IP $ip from domain set $domainset_current is already disable [OK]" .
+               print "Info: IP $ip from sector $sector_current is already disable [OK]" .
                   " ... Status: $attribute->{'enabled'}\n";
                exit;
@@ -1109,5 +1109,5 @@
             $attribute->{'enabled'}     = 'no';
             ipamdb_save("$COMPUTER_YAML", $computer_db);
-            print "Info: disabling IP $ip from domain set $domainset_current [OK]" .
+            print "Info: disabling IP $ip from sector $sector_current [OK]" .
                " ... Status: $attribute->{'enabled'}\n";
             exit;
@@ -1116,11 +1116,11 @@
       }
    else { # disable by Hostname
-      control_exist_domainset($computer_db, $domainset);
-      if ( control_exist_hostname($computer_db, $domainset, $hostname) == 1 ) {
-         die "Error: unkown host: $hostname, in domain set: $domainset [FAILED]\n";
+      control_exist_sector($computer_db, $sector);
+      if ( control_exist_hostname($computer_db, $sector, $hostname) == 1 ) {
+         die "Error: unkown host: $hostname, in sector: $sector [FAILED]\n";
          }
 
       LOOP_ON_COMPUTER:
-      for my  $computer (@{$computer_db->{$domainset}}) {
+      for my  $computer (@{$computer_db->{$sector}}) {
          my ($mac_address, $attribute) = %{$computer};
 
@@ -1128,10 +1128,10 @@
 
          if ($attribute->{'address_type'} eq 'pool-dhcp') {
-            die "Error: host $hostname from domain set $domainset belongs to a a pool [FAILED]" .
+            die "Error: host $hostname from sector $sector belongs to a a pool [FAILED]" .
                " ... use 'disable-float' command instead";
             }
 
          if ($attribute->{'enabled'} eq 'no') {
-            print "Info: host $hostname from domain set $domainset is already disable [OK]" .
+            print "Info: host $hostname from sector $sector is already disable [OK]" .
                " ... Status: $attribute->{'enabled'}\n";
             exit;
@@ -1142,5 +1142,5 @@
          $attribute->{'enabled'}     = 'no';
          ipamdb_save("$COMPUTER_YAML", $computer_db);
-         print "Info: disabling host $hostname from domain set $domainset [OK]" .
+         print "Info: disabling host $hostname from sector $sector [OK]" .
             " ... Status: $attribute->{'enabled'}\n";
          exit;
@@ -1160,15 +1160,15 @@
       }
 
-   for my $domainset_current (keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
-
-      my @domainsetdb = @{$computer_db->{$domainset_current}};
+   for my $sector_current (keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
+
+      my @sectordb = @{$computer_db->{$sector_current}};
 
       LOOP_ON_COMPUTER:
-      for my $computer (@domainsetdb) {
+      for my $computer (@sectordb) {
          my ($mac_address, $attribute) = %{$computer};
          next LOOP_ON_COMPUTER if $mac_address ne $mac;
@@ -1201,9 +1201,9 @@
 
 sub enable_pc {
-   my ($hostname, $domainset, $ip) = @_;
-
-   my $computer_db = ipamdb_load($COMPUTER_YAML);
-
-   control_exist_domainset($computer_db, $domainset) or exit;
+   my ($hostname, $sector, $ip) = @_;
+
+   my $computer_db = ipamdb_load($COMPUTER_YAML);
+
+   control_exist_sector($computer_db, $sector) or exit;
 
    if ($ip ne '') { # enable by IP
@@ -1214,20 +1214,20 @@
          }
 
-      for my $domainset_current (keys %{$computer_db}) {
-         next if $domainset_current eq 'dset';
-         next if $domainset_current eq 'pool';
-         next if $domainset_current eq 'pxe';
-         next if $domainset_current eq 'tag';
-         next if $domainset_current eq 'version';
-
-         my @domainsetdb = @{$computer_db->{$domainset_current}};
+      for my $sector_current (keys %{$computer_db}) {
+         next if $sector_current eq 'dset';
+         next if $sector_current eq 'pool';
+         next if $sector_current eq 'pxe';
+         next if $sector_current eq 'tag';
+         next if $sector_current eq 'version';
+
+         my @sectordb = @{$computer_db->{$sector_current}};
 
          LOOP_ON_COMPUTER:
-         for my $computer (@domainsetdb) {
+         for my $computer (@sectordb) {
             my ($mac_address, $attribute) = %{$computer};
             if ($attribute->{'ip'} eq $ip) {
 
                if ($attribute->{'enabled'} eq 'yes') {
-                  print "Info: IP $ip belongs to domain set $domainset is already enable [OK]" .
+                  print "Info: IP $ip belongs to sector $sector is already enable [OK]" .
                      " ... Status: $attribute->{'enabled'}\n";
                   exit;
@@ -1246,20 +1246,20 @@
       }
    else { # enable by Hostname
-      if ( control_exist_hostname($computer_db, $domainset, $hostname) == 1 ) {
-         die "Error: unkown host: $hostname, in domain set: $domainset\n";
+      if ( control_exist_hostname($computer_db, $sector, $hostname) == 1 ) {
+         die "Error: unkown host: $hostname, in sector: $sector\n";
          }
 
       LOOP_ON_COMPUTER:
-      for my $computer (@{$computer_db->{$domainset}}) {
+      for my $computer (@{$computer_db->{$sector}}) {
          my ($mac_address, $attribute) = %{$computer};
          next LOOP_ON_COMPUTER if $attribute->{'hostname'} ne $hostname;
 
          if ($attribute->{'address_type'} eq 'pool-dhcp') {
-            die "Error: host $hostname from domain set $domainset belongs to a a pool [FAILED]" .
+            die "Error: host $hostname from sector $sector belongs to a a pool [FAILED]" .
                " ... use 'enable-float' command instead";
             }
 
          if ($attribute->{'enabled'} eq 'yes') {
-            print "Info: host $hostname belongs to domain set $domainset is already enable [OK]" .
+            print "Info: host $hostname belongs to sector $sector is already enable [OK]" .
                " ... Status: $attribute->{'enabled'}\n";
             exit;
@@ -1288,15 +1288,15 @@
       }
 
-   for my $domainset_current (keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
-
-      my @domainsetdb = @{$computer_db->{$domainset_current}};
+   for my $sector_current (keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
+
+      my @sectordb = @{$computer_db->{$sector_current}};
 
       LOOP_ON_COMPUTER:
-      for my $computer (@domainsetdb) {
+      for my $computer (@sectordb) {
          my ($mac_address, $attribute) = %{$computer};
          next LOOP_ON_COMPUTER if $mac_address ne $mac;
@@ -1330,15 +1330,15 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $ip);
+   my ($hostname, $sector, $ip);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
-   exit_on_error_option($help)
-      if $domainset  eq '';
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+   exit_on_error_option($help)
+      if $sector  eq '';
    exit_on_error_option($help)
       if $hostname   eq ''
@@ -1348,5 +1348,5 @@
       and $ip        ne '';
 
-   enable_pc($hostname, $domainset, $ip);
+   enable_pc($hostname, $sector, $ip);
    }
 
@@ -1357,15 +1357,15 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $ip);
+   my ($hostname, $sector, $ip);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
-   exit_on_error_option($help)
-      if $domainset  eq '';
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+   exit_on_error_option($help)
+      if $sector  eq '';
    exit_on_error_option($help)
       if $hostname   eq ''
@@ -1375,5 +1375,5 @@
       and $ip        ne '';
 
-   disable_pc($hostname, $domainset, $ip);
+   disable_pc($hostname, $sector, $ip);
    }
 
@@ -1429,9 +1429,9 @@
 
 sub del_pc {
-   my ($hostname, $domainset, $ip) = @_;
-
-   my $computer_db = ipamdb_load($COMPUTER_YAML);
-
-   control_exist_domainset($computer_db, $domainset) or exit;
+   my ($hostname, $sector, $ip) = @_;
+
+   my $computer_db = ipamdb_load($COMPUTER_YAML);
+
+   control_exist_sector($computer_db, $sector) or exit;
    if ($ip ne '') { # delete by IP
       if ( control_exist_ip($computer_db, $ip) == 1 ) {
@@ -1442,18 +1442,18 @@
 
       LOOP_ON_COMPUTER:
-      for my $computer (@{$computer_db->{$domainset}}) {
+      for my $computer (@{$computer_db->{$sector}}) {
          my ($mac_address, $attribute) = %{$computer};
 
          $computer_index++, next LOOP_ON_COMPUTER if $attribute->{'ip'} ne $ip;
          
-         splice(@{$computer_db->{$domainset}}, $computer_index => 1);
+         splice(@{$computer_db->{$sector}}, $computer_index => 1);
          ipamdb_save("$COMPUTER_YAML", $computer_db);
-         print "Info: host $ip has been removed from the domain set $domainset [OK]\n";
+         print "Info: host $ip has been removed from the sector $sector [OK]\n";
          exit;
          }
       }
    else {
-      if ( control_exist_hostname($computer_db, $domainset, $hostname) == 1 ) {
-         die "Error: unkown host: $hostname, in domain set: $domainset\n";
+      if ( control_exist_hostname($computer_db, $sector, $hostname) == 1 ) {
+         die "Error: unkown host: $hostname, in sector: $sector\n";
          }
 
@@ -1461,5 +1461,5 @@
 
       LOOP_ON_COMPUTER:
-      for my $computer (@{$computer_db->{$domainset}}) {
+      for my $computer (@{$computer_db->{$sector}}) {
          my ($mac_address, $attribute) = %{$computer};
 
@@ -1467,11 +1467,11 @@
 
          if ($attribute->{'address_type'} eq 'pool-dhcp') {
-            die "Error: host remove $hostname from the domain set $domainset [FAILED]" .
+            die "Error: host remove $hostname from the sector $sector [FAILED]" .
                " ... The host $hostname belongs to a DHCP pool.\n";
             }
 
-         splice(@{$computer_db->{$domainset}}, $computer_index => 1);
+         splice(@{$computer_db->{$sector}}, $computer_index => 1);
          ipamdb_save("$COMPUTER_YAML", $computer_db);
-         print "Info: host $hostname has been removed from the domain set $domainset [OK]\n";
+         print "Info: host $hostname has been removed from the sector $sector [OK]\n";
          exit;
          }
@@ -1493,17 +1493,17 @@
       }
 
-   for my $domainset_current (keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
-
-      my @domainsetdb = @{$computer_db->{$domainset_current}};
+   for my $sector_current (keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
+
+      my @sectordb = @{$computer_db->{$sector_current}};
 
       my $computer_index = 0;
 
       LOOP_ON_COMPUTER:
-      for my $computer (@domainsetdb) {
+      for my $computer (@sectordb) {
          my ($mac_address, $attribute) = %{$computer};
 
@@ -1515,5 +1515,5 @@
             }
 
-         splice(@{$computer_db->{$domainset_current}}, $computer_index => 1);
+         splice(@{$computer_db->{$sector_current}}, $computer_index => 1);
          ipamdb_save("$COMPUTER_YAML", $computer_db);
          print "Info: remove host $mac from the pool $pool [OK]\n";
@@ -1529,15 +1529,15 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $ip);
+   my ($hostname, $sector, $ip);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
-   exit_on_error_option($help)
-      if $domainset  eq '';
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+   exit_on_error_option($help)
+      if $sector  eq '';
    exit_on_error_option($help)
       if $hostname   eq ''
@@ -1547,5 +1547,5 @@
       and $ip        ne '';
 
-   del_pc($hostname, $domainset, $ip);
+   del_pc($hostname, $sector, $ip);
    }
 
@@ -1572,15 +1572,15 @@
 
 #-------------------------------------------------------------------------------
-# DOMAIN SET section
-#-------------------------------------------------------------------------------
-
-sub cmd_create_domainset {
+# SECTOR section
+#-------------------------------------------------------------------------------
+
+sub cmd_create_sector {
    local @ARGV = @_;
 
    my $help = get_cmd_name();
-   my ($domainset, $dns_extension, $comment);
+   my ($sector, $dns_extension, $comment);
 
    GetOptions(
-      'domainset|d=s'      => \$domainset,
+      'sector|d=s'      => \$sector,
       'dns-extension|e=s'  => \$dns_extension,
       'comment|c=s'        => \$comment,
@@ -1588,5 +1588,5 @@
 
    exit_on_error_option($help)
-      if $domainset     eq ''
+      if $sector     eq ''
       or $dns_extension eq ''
       or $comment       eq '';
@@ -1597,10 +1597,10 @@
 
    $computer_db->{'dset'} ||= {};
-   die "Error: domain set already exists: $domainset\n" if exists $computer_db->{'dset'}{$domainset};
+   die "Error: sector already exists: $sector\n" if exists $computer_db->{'dset'}{$sector};
 
    control_syntax_comment($comment)    or exit;
 
    my $timestamp = time;
-   $computer_db->{'dset'}{$domainset} = {
+   $computer_db->{'dset'}{$sector} = {
       'dns_extension'   => $dns_extension,
       'comment'         => $comment,
@@ -1608,5 +1608,5 @@
       'modify_time'     => $timestamp,
       };
-   $computer_db->{$domainset} ||= []; # Create empty domain set computer list by default
+   $computer_db->{$sector} ||= []; # Create empty sector computer list by default
    ipamdb_save("$COMPUTER_YAML", $computer_db);
    }
@@ -1627,9 +1627,9 @@
 
    my $help = get_cmd_name();
-   my ($pool, $domainset, $file_pool, $ipaddress_pool);
+   my ($pool, $sector, $file_pool, $ipaddress_pool);
 
    GetOptions(
       'pool|p=s'           => \$pool,
-      'domainset|d=s'      => \$domainset,
+      'sector|d=s'      => \$sector,
       'file-pool|f=s'      => \$file_pool,
       'ipaddress-pool|i=s' => \$ipaddress_pool,
@@ -1638,5 +1638,5 @@
    exit_on_error_option($help)
       if $pool             eq ''
-      or $domainset        eq ''
+      or $sector        eq ''
       or $file_pool        eq ''
       or $ipaddress_pool   eq '';
@@ -1649,5 +1649,5 @@
 
    #--- control if the domain's pool exist ---#
-   control_exist_domainset($computer_db, $domainset) or exit;
+   control_exist_sector($computer_db, $sector) or exit;
 
    my @ip_list = ();
@@ -1683,5 +1683,5 @@
       'modify_time' => $timestamp,
       'file'        => $file_pool,
-      'domain'      => $domainset,
+      'domain'      => $sector,
       };
    ipamdb_save("$COMPUTER_YAML", $computer_db);
@@ -1777,19 +1777,19 @@
 
    # Test if some computer use this config
-   LOOP_ON_DOMAINSET:
-   for my $domainset_current (keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
+   LOOP_ON_SECTOR:
+   for my $sector_current (keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
 
       LOOP_ON_COMPUTER:
-      for my $computer (@{$computer_db->{$domainset_current}}) {
+      for my $computer (@{$computer_db->{$sector_current}}) {
          my ($mac_address, $attribute) = %{$computer};
 
          if (exists $attribute->{'pxe_config'}) {
             my $hostname = $attribute->{'hostname'};
-            die "Error: computer still use this PXE config: $hostname.$domainset_current $mac_address\n" if $pxe_config eq $attribute->{'pxe_config'};
+            die "Error: computer still use this PXE config: $hostname.$sector_current $mac_address\n" if $pxe_config eq $attribute->{'pxe_config'};
             }
          }
@@ -1830,16 +1830,16 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $ip, $pxe_config);
+   my ($hostname, $sector, $ip, $pxe_config);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       'bootp|b=s'       => \$pxe_config,
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
-   exit_on_error_option($help)
-      if $domainset  eq ''
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+   exit_on_error_option($help)
+      if $sector  eq ''
       or $pxe_config eq '';
    exit_on_error_option($help)
@@ -1854,5 +1854,5 @@
    die "Error: PXE config not exists: $pxe_config\n" if not exists $computer_db->{'pxe'}{$pxe_config};
 
-   control_exist_domainset($computer_db, $domainset) or exit;
+   control_exist_sector($computer_db, $sector) or exit;
    if ($ip ne '') {
       control_syntax_ip($ip);
@@ -1861,13 +1861,13 @@
          }
 
-      for my $domainset_current (keys %{$computer_db}) {
-         next if $domainset_current eq 'dset';
-         next if $domainset_current eq 'pool';
-         next if $domainset_current eq 'pxe';
-         next if $domainset_current eq 'tag';
-         next if $domainset_current eq 'version';
+      for my $sector_current (keys %{$computer_db}) {
+         next if $sector_current eq 'dset';
+         next if $sector_current eq 'pool';
+         next if $sector_current eq 'pxe';
+         next if $sector_current eq 'tag';
+         next if $sector_current eq 'version';
 
          LOOP_ON_COMPUTER:
-         for my $computer (@{$computer_db->{$domainset_current}}) {
+         for my $computer (@{$computer_db->{$sector_current}}) {
             my ($mac_address, $attribute) = %{$computer};
             next LOOP_ON_COMPUTER if $attribute->{'ip'} ne $ip;
@@ -1876,5 +1876,5 @@
             $attribute->{'pxe_config'}  = $pxe_config;
             ipamdb_save("$COMPUTER_YAML", $computer_db);
-            print "Info: host $attribute->{'hostname'} ($domainset_current), IP $ip, PXE enabled: $pxe_config\n";
+            print "Info: host $attribute->{'hostname'} ($sector_current), IP $ip, PXE enabled: $pxe_config\n";
             exit;
             }
@@ -1882,15 +1882,15 @@
       }
    else {
-      if ( control_exist_hostname($computer_db, $domainset, $hostname) == 1 ) {
-         die "Error: unkown host: $hostname, in domain set: $domainset\n";
+      if ( control_exist_hostname($computer_db, $sector, $hostname) == 1 ) {
+         die "Error: unkown host: $hostname, in sector: $sector\n";
          }
 
       LOOP_ON_COMPUTER:
-      for my $computer (@{$computer_db->{$domainset}}) {
+      for my $computer (@{$computer_db->{$sector}}) {
          my ($mac_address, $attribute) = %{$computer};
          next LOOP_ON_COMPUTER if $attribute->{'hostname'} ne $hostname;
          
          if ($attribute->{'address_type'} eq 'pool-dhcp') {
-            die "Error. Host $hostname ($domainset) in a pool. No PXE possible [FAILED]\n";
+            die "Error. Host $hostname ($sector) in a pool. No PXE possible [FAILED]\n";
             }
 
@@ -1898,5 +1898,5 @@
          $attribute->{'pxe_config'}  = $pxe_config;
          ipamdb_save("$COMPUTER_YAML", $computer_db);
-         print "Info: host $hostname ($domainset), IP $attribute->{'ip'}, PXE enabled: $pxe_config [OK]\n";
+         print "Info: host $hostname ($sector), IP $attribute->{'ip'}, PXE enabled: $pxe_config [OK]\n";
          exit;
          }
@@ -1910,15 +1910,15 @@
 
    my $help = get_cmd_name();
-   my ($hostname, $domainset, $ip);
+   my ($hostname, $sector, $ip);
 
    GetOptions(
       'hostname|h=s'    => \$hostname,
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'ip|i=s'          => \$ip,
       );
 
-   ($hostname, $domainset) = split /\./, $hostname, 2 if $hostname =~ m/\./;
-   exit_on_error_option($help)
-      if $domainset  eq '';
+   ($hostname, $sector) = split /\./, $hostname, 2 if $hostname =~ m/\./;
+   exit_on_error_option($help)
+      if $sector  eq '';
    exit_on_error_option($help)
       if $hostname   eq ''
@@ -1930,5 +1930,5 @@
    my $computer_db = ipamdb_load($COMPUTER_YAML);
 
-   control_exist_domainset($computer_db, $domainset) or exit;
+   control_exist_sector($computer_db, $sector) or exit;
    if ($ip ne '') {
       control_syntax_ip($ip);
@@ -1937,13 +1937,13 @@
          }
 
-      for my $domainset_current (keys %{$computer_db}) {
-         next if $domainset_current eq 'dset';
-         next if $domainset_current eq 'pool';
-         next if $domainset_current eq 'pxe';
-         next if $domainset_current eq 'tag';
-         next if $domainset_current eq 'version';
+      for my $sector_current (keys %{$computer_db}) {
+         next if $sector_current eq 'dset';
+         next if $sector_current eq 'pool';
+         next if $sector_current eq 'pxe';
+         next if $sector_current eq 'tag';
+         next if $sector_current eq 'version';
 
          LOOP_ON_COMPUTER:
-         for my $computer (@{$computer_db->{$domainset_current}}) {
+         for my $computer (@{$computer_db->{$sector_current}}) {
             my ($mac_address, $attribute) = %{$computer};
             
@@ -1961,10 +1961,10 @@
       }
    else {
-      if ( control_exist_hostname($computer_db, $domainset, $hostname) == 1 ) {
-         die "Error: unkown host: $hostname, in domain set: $domainset\n";
+      if ( control_exist_hostname($computer_db, $sector, $hostname) == 1 ) {
+         die "Error: unkown host: $hostname, in sector: $sector\n";
          }
 
       LOOP_ON_COMPUTER:
-      for my $computer (@{$computer_db->{$domainset}}) {
+      for my $computer (@{$computer_db->{$sector}}) {
          my ($mac_address, $attribute) = %{$computer};
 
@@ -1972,5 +1972,5 @@
 
          if ($attribute->{'address_type'} eq 'pool-dhcp') {
-            die "Error: host $hostname ($domainset) in a pool. No PXE possible [FAILED]\n";
+            die "Error: host $hostname ($sector) in a pool. No PXE possible [FAILED]\n";
             }
 
@@ -1981,5 +1981,5 @@
          delete $attribute->{'pxe_config'};
          ipamdb_save("$COMPUTER_YAML", $computer_db);
-         print "Info: host $hostname ($domainset), PXE disable from config: $pxe_config [OK]\n";
+         print "Info: host $hostname ($sector), PXE disable from config: $pxe_config [OK]\n";
          exit;
          }
@@ -2051,19 +2051,19 @@
 
    # Test if some computer use this config
-   LOOP_ON_DOMAINSET:
-   for my $domainset_current (keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
+   LOOP_ON_SECTOR:
+   for my $sector_current (keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
 
       LOOP_ON_COMPUTER:
-      for my $computer (@{$computer_db->{$domainset_current}}) {
+      for my $computer (@{$computer_db->{$sector_current}}) {
          my ($mac_address, $attribute) = %{$computer};
 
          if (exists $attribute->{'tag'}) {
             my $hostname = $attribute->{'hostname'};
-            die "Error: computer still use this TAG: $hostname.$domainset_current $mac_address\n" if $tag eq $attribute->{'tag'};
+            die "Error: computer still use this TAG: $hostname.$sector_current $mac_address\n" if $tag eq $attribute->{'tag'};
             }
          }
@@ -2105,16 +2105,16 @@
    my $computer_db = ipamdb_load($COMPUTER_YAML);
 
-   LOOP_ON_DOMAINSET:
-   for my $domainset_current (keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
-
-      my @domainsetdb = @{$computer_db->{$domainset_current}};
+   LOOP_ON_SECTOR:
+   for my $sector_current (keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
+
+      my @sectordb = @{$computer_db->{$sector_current}};
 
       LOOP_ON_COMPUTER:
-      for my $computer (@domainsetdb) {
+      for my $computer (@sectordb) {
          my ($mac_address, $attribute) = %{$computer};
          my $new_mac = normalize_mac_address($mac_address);
@@ -2142,5 +2142,5 @@
 #--------------------------------------------------------------------------------
 
-sub cmd_show_domainset {
+sub cmd_show_sector {
    local @ARGV = @_;
 
@@ -2154,5 +2154,5 @@
 
    my $tb_computer = Text::Table->new(
-     {align  => 'left',   align_title => 'left',   title => 'DomainSet'},
+     {align  => 'left',   align_title => 'left',   title => 'Sector'},
      {is_sep => 1,        body        => '  '},
      {align  => 'left',   align_title => 'left',   title => 'DNS-Extension:'},
@@ -2163,15 +2163,15 @@
      );
 
-   LOOP_ON_DOMAINSET:
-   for my $domainset_current (sort keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
-
-      $tb_computer->add($domainset_current), next LOOP_ON_DOMAINSET if not exists $computer_db->{'dset'}{$domainset_current};
-
-      my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime $computer_db->{'dset'}{$domainset_current}{'modify_time'};
+   LOOP_ON_SECTOR:
+   for my $sector_current (sort keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
+
+      $tb_computer->add($sector_current), next LOOP_ON_SECTOR if not exists $computer_db->{'dset'}{$sector_current};
+
+      my ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) = localtime $computer_db->{'dset'}{$sector_current}{'modify_time'};
       $year += 1900;
       $mon++;
@@ -2179,10 +2179,10 @@
 
       my $category;
-      my $comment = $computer_db->{'dset'}{$domainset_current}{'comment'};
+      my $comment = $computer_db->{'dset'}{$sector_current}{'comment'};
       $comment =~ s/^\d\d\d\d-\d\d-\d\d\s//;
       $comment =~ s/\s+(\(\w+\))$// and $category = $1;
 
-      $tb_computer->add($domainset_current,
-         $computer_db->{'dset'}{$domainset_current}{'dns_extension'},
+      $tb_computer->add($sector_current,
+         $computer_db->{'dset'}{$sector_current}{'dns_extension'},
          $date,
          $comment,
@@ -2217,16 +2217,16 @@
    control_syntax_mac_address($mac) or exit;
 
-   LOOP_ON_DOMAINSET:
-   for my $domainset_current (keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
-
-      my @domainsetdb = @{$computer_db->{$domainset_current}};
+   LOOP_ON_SECTOR:
+   for my $sector_current (keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
+
+      my @sectordb = @{$computer_db->{$sector_current}};
 
       LOOP_ON_COMPUTER:
-      for my $computer (@domainsetdb) {
+      for my $computer (@sectordb) {
          my ($mac_address, $attribute) = %{$computer};
 
@@ -2250,5 +2250,5 @@
 
          printf "%-30s  %-20s %17s %9s %3s %10s %s\n",
-            $attribute->{'hostname'} . '.' . $domainset_current,
+            $attribute->{'hostname'} . '.' . $sector_current,
             $attribute->{'ip'},
             $mac_address,
@@ -2271,5 +2271,5 @@
 
    my $tb_computer = Text::Table->new(
-     {align  => 'left',   align_title => 'left',   title => 'Hostname.DomainSet'},
+     {align  => 'left',   align_title => 'left',   title => 'Hostname.Sector'},
      {is_sep => 1,        body        => '  '},
      {align  => 'left',   align_title => 'left',   title => 'IPv4-Address'},
@@ -2284,16 +2284,16 @@
      );
 
-  LOOP_ON_DOMAINSET:
-   for my $domainset_current (sort keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
-
-      my @domainsetdb = @{$computer_db->{$domainset_current}};
+  LOOP_ON_SECTOR:
+   for my $sector_current (sort keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
+
+      my @sectordb = @{$computer_db->{$sector_current}};
 
       LOOP_ON_COMPUTER:
-      for my $computer (@domainsetdb) {
+      for my $computer (@sectordb) {
          my ($mac_address, $attribute) = %{$computer};
          my $ip = $attribute->{'ip'};
@@ -2304,5 +2304,5 @@
                   'mac_address'  => $mac_address,
                   %{$attribute},
-                  'domainset'    => $domainset_current,
+                  'sector'    => $sector_current,
                   };
                }
@@ -2331,5 +2331,5 @@
          #printf "%-30s  %-20s %17s %9s %3s %10s %s\n",
          $tb_computer->add(
-            $attribute->{'hostname'} . '.' . $domainset_current,
+            $attribute->{'hostname'} . '.' . $sector_current,
             $ip,
             $mac_address,
@@ -2340,8 +2340,8 @@
             );
          }
-      #print "\n# *** List of pool computers in the domain set: $domainset_current ***\n";
-      }
-
-   #print "\n# *** List of computers ordered by IP and domain set ***\n";
+      #print "\n# *** List of pool computers in the sector: $sector_current ***\n";
+      }
+
+   #print "\n# *** List of computers ordered by IP and sector ***\n";
    LOOP_ON_IP_ADDRESS:
    foreach my $ip (Net::Netmask::sort_by_ip_address(keys %ipdb)) {
@@ -2364,5 +2364,5 @@
       #printf "%-30s %-20s %17s %9s %3s %10s %s\n",
       $tb_computer->add(
-         $ipdb{$ip}->{'hostname'} . '.' . $ipdb{$ip}->{'domainset'},
+         $ipdb{$ip}->{'hostname'} . '.' . $ipdb{$ip}->{'sector'},
          $ip,
          normalize_mac_address($ipdb{$ip}->{'mac_address'}),
@@ -2390,14 +2390,14 @@
    my %file_pool;
 
-   for my $domainset_current (keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
-
-      open FILE_VLAN, '>', "$FOLDER_GEN_DHCP/$domainset_current";
-      my @domainsetdb = @{$computer_db->{$domainset_current}};
-      for my $value (@domainsetdb) {
+   for my $sector_current (keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
+
+      open FILE_VLAN, '>', "$FOLDER_GEN_DHCP/$sector_current";
+      my @sectordb = @{$computer_db->{$sector_current}};
+      for my $value (@sectordb) {
          ALL_MAC_ADDRESS:
          for my $mac_addres (keys %{$value}) {
@@ -2505,14 +2505,14 @@
    my $computer_db = ipamdb_load($COMPUTER_YAML);
 
-   for my $domainset_current (keys %{$computer_db}) {
-      next if $domainset_current eq 'dset';
-      next if $domainset_current eq 'pool';
-      next if $domainset_current eq 'pxe';
-      next if $domainset_current eq 'tag';
-      next if $domainset_current eq 'version';
-
-      if ($domainset_current eq 'pool') {
+   for my $sector_current (keys %{$computer_db}) {
+      next if $sector_current eq 'dset';
+      next if $sector_current eq 'pool';
+      next if $sector_current eq 'pxe';
+      next if $sector_current eq 'tag';
+      next if $sector_current eq 'version';
+
+      if ($sector_current eq 'pool') {
          LOOP_ON_COMPUTER:
-         for my $computer (@{$computer_db->{$domainset_current}}) {
+         for my $computer (@{$computer_db->{$sector_current}}) {
             for my $pool_name (keys %{$computer}) {
                $pool_domain = $computer->{$pool_name}->{'domain'}."\n";
@@ -2537,11 +2537,11 @@
       else {
          #--- Création du fichier non-reverse ---#
-         open FILE_FORWARD_DNS, ">> $FOLDER_GEN_DNS/db.$domainset_current.fwd";
-         open FILE_REVERSE_DNS, ">> $FOLDER_GEN_DNS/db.$domainset_current.rev";
-
-         my @domainsetdb = @{$computer_db->{$domainset_current}};
+         open FILE_FORWARD_DNS, ">> $FOLDER_GEN_DNS/db.$sector_current.fwd";
+         open FILE_REVERSE_DNS, ">> $FOLDER_GEN_DNS/db.$sector_current.rev";
+
+         my @sectordb = @{$computer_db->{$sector_current}};
 
          LOOP_ON_COMPUTER:
-         for my $computer (@domainsetdb) {
+         for my $computer (@sectordb) {
             my ($mac_address, $attribute) = %{$computer};
 
@@ -2559,7 +2559,7 @@
             next LOOP_ON_COMPUTER if not (($address_type eq 'dhcp') or ($address_type eq 'static'));
 
-            my $dns_domain = $domainset_current;
-            if (exists $computer_db->{'dset'}{$domainset_current}) {
-               $dns_domain = $computer_db->{'dset'}{$domainset_current}{'dns_extension'};
+            my $dns_domain = $sector_current;
+            if (exists $computer_db->{'dset'}{$sector_current}) {
+               $dns_domain = $computer_db->{'dset'}{$sector_current}{'dns_extension'};
                }
 
@@ -2583,6 +2583,6 @@
          close FILE_REVERSE_DNS;
          close FILE_FORWARD_DNS;
-         print "- DNS: db.$domainset_current.fwd db.$domainset_current.rev [CREATE].\n" if $verbose;
-         print "  Ex : sort -k 4n -t . $FOLDER_GEN_DNS/db.$domainset_current.fwd\n"     if $verbose;
+         print "- DNS: db.$sector_current.fwd db.$sector_current.rev [CREATE].\n" if $verbose;
+         print "  Ex : sort -k 4n -t . $FOLDER_GEN_DNS/db.$sector_current.fwd\n"     if $verbose;
          }
       }
@@ -2620,16 +2620,16 @@
 
    if ($opt_direct or not $opt_reverse) { # DDT to DNS check
-      LOOP_ON_DOMAINSET:
-      for my $domainset_current (keys %{$computer_db}) {
-         next if $domainset_current eq 'dset';
-         next if $domainset_current eq 'pool';
-         next if $domainset_current eq 'pxe';
-         next if $domainset_current eq 'tag';
-         next if $domainset_current eq 'version';
-
-         my @domainsetdb = @{$computer_db->{$domainset_current}};
+      LOOP_ON_SECTOR:
+      for my $sector_current (keys %{$computer_db}) {
+         next if $sector_current eq 'dset';
+         next if $sector_current eq 'pool';
+         next if $sector_current eq 'pxe';
+         next if $sector_current eq 'tag';
+         next if $sector_current eq 'version';
+
+         my @sectordb = @{$computer_db->{$sector_current}};
 
          LOOP_ON_COMPUTER:
-         for my $computer (@domainsetdb) {
+         for my $computer (@sectordb) {
             my ($mac_address, $attribute) = %{$computer};
             #my $new_mac = normalize_mac_address($mac_address);
@@ -2642,5 +2642,5 @@
 
             if ($attribute->{'hostname'} ne $dns_hostname) {
-               print "$mac_address ($domainset_current) $ip - $dns_hostname / $attribute->{'hostname'} # $attribute->{'comment'}\n";
+               print "$mac_address ($sector_current) $ip - $dns_hostname / $attribute->{'hostname'} # $attribute->{'comment'}\n";
                next LOOP_ON_COMPUTER;
                }
@@ -2689,5 +2689,5 @@
 
 sub load_data_dhcp {
-   my ($domainset, $input_file) = @_;
+   my ($sector, $input_file) = @_;
 
    my $computer_db = ipamdb_load($COMPUTER_YAML);
@@ -2739,6 +2739,6 @@
          $cpt = 0;
 
-         if ( control_exist_hostname($computer_db, $domainset, $hostname) == 0 ) {
-            print "Error: host already exist in domain set $domainset: $hostname\n";
+         if ( control_exist_hostname($computer_db, $sector, $hostname) == 0 ) {
+            print "Error: host already exist in sector $sector: $hostname\n";
             next;
             }
@@ -2755,5 +2755,5 @@
             }
          my $timestamp = time;
-         push @{$computer_db->{$domainset}}, { $mac => {
+         push @{$computer_db->{$sector}}, { $mac => {
             'hostname'     => $hostname,
             'ip'           => $ip,
@@ -2773,5 +2773,5 @@
 
 sub load_data_pool {
-   my ($domainset, $input_file) = @_;
+   my ($sector, $input_file) = @_;
 
    my @T_mac;
@@ -2810,7 +2810,7 @@
             }
 
-         if ($computer_db->{'pool'}{'domain'} eq $domainset) {
+         if ($computer_db->{'pool'}{'domain'} eq $sector) {
             my $timestamp = time;
-            push @{$computer_db->{$domainset}}, { $mac => {
+            push @{$computer_db->{$sector}}, { $mac => {
                'hostname'     => $pool,
                'ip'           => $pool,
@@ -2823,5 +2823,5 @@
          else {
             print "Ajout de la machine $mac [FAILED]\n";
-            print "Error: the pool doesn't exists: $pool, for the domain: $domainset\n";
+            print "Error: the pool doesn't exists: $pool, for the domain: $sector\n";
             }
          }
@@ -2832,5 +2832,5 @@
 
 sub load_data_file {
-   my ($domainset, $input_file, $type_file) = @_;
+   my ($sector, $input_file, $type_file) = @_;
 
    my $computer_db = ipamdb_load($COMPUTER_YAML);
@@ -2838,9 +2838,9 @@
    #$computer_db
    if ($type_file eq 'dhcp') {
-      load_data_dhcp($domainset, $input_file);
+      load_data_dhcp($sector, $input_file);
       }
 
    elsif ($type_file eq 'pool-dhcp') {
-      load_data_pool($domainset, $input_file);
+      load_data_pool($sector, $input_file);
       }
 
@@ -2854,8 +2854,8 @@
 
    my $help = get_cmd_name();
-   my ($domainset, $input_file, $type_file);
+   my ($sector, $input_file, $type_file);
 
    GetOptions(
-      'domainset|d=s'   => \$domainset,
+      'sector|d=s'   => \$sector,
       'filename|f=s'    => \$input_file,
       'kind|k=s'        => \$type_file,
@@ -2863,9 +2863,9 @@
 
    exit_on_error_option($help)
-      if $domainset  eq ''
+      if $sector  eq ''
       or $input_file eq ''
       or $type_file  eq '';
 
-   load_data_file($domainset, $input_file, $type_file);
+   load_data_file($sector, $input_file, $type_file);
    }
 
@@ -2896,5 +2896,5 @@
    if ($command eq 'add-dhcp') {
       print "List of options for command: $command\n";
-      print " -d : domain set attachment (mandatory). Example: -d legi-sector03\n";
+      print " -d : sector attachment (mandatory). Example: -d legi-sector03\n";
       print " -h : computer hostname (mandatory if option -i != 'pool'). Example: -h info8pc154\n";
       print " -m : physical MAC address (mandatory). Example: -m 0F:58:AB:2A\n";
@@ -2909,5 +2909,5 @@
    elsif ($command eq 'add-float') {
       print "List of options for command: $command\n";
-      print " -d : domain set attachment (mandatory)\n";
+      print " -d : sector attachment (mandatory)\n";
       print " -p : name of the DHCP pool to which the machine belongs (mandatory)\n";
       print " -m : physical MAC address (mandatory)\n";
@@ -2919,5 +2919,5 @@
    elsif ($command eq 'add-static') {
       print "List of options for command: $command\n";
-      print " -d : domain set attachment (mandatory)\n";
+      print " -d : sector attachment (mandatory)\n";
       print " -i : internet IP address (mandatory)\n";
       print " -h : computer hostname (mandatory)\n";
@@ -2930,5 +2930,5 @@
    elsif ($command eq 'add-virtual') {
       print "List of options for command: $command\n";
-      print " -d : domain set attachment (mandatory)\n";
+      print " -d : sector attachment (mandatory)\n";
       print " -i : internet IP address (mandatory)\n";
       print " -h : computer hostname (mandatory)\n";
@@ -2940,16 +2940,16 @@
    elsif ($command eq 'add-alias') {
       print "List of options for command: $command\n";
-      print " -d : domain set attachment (mandatory)\n";
+      print " -d : sector attachment (mandatory)\n";
       print " -h : computer hostname (mandatory)\n";
       print " -a : computer alias name (mandatory)\n";
       }
 
-   elsif ($command eq 'create-domainset') {
+   elsif ($command eq 'create-sector') {
       print "List of options for command: $command\n";
-      print " -d : new domain set (mandatory)\n";
+      print " -d : new sector (mandatory)\n";
       print " -e : DNS domain name extension( mandatory). Example legi.grenoble-inp.fr\n";
       print " -c : comment (mandatory). Example: 2016-08-22 VLAN legi-261 (INFO)\n";
       print "Examples:\n";
-      print " ddt create_domainset -d legi-264 -e legi.grenoble-inp.fr -c '2016-08-22 VLAN legi-261 (INFO)'\n";
+      print " ddt create_sector -d legi-264 -e legi.grenoble-inp.fr -c '2016-08-22 VLAN legi-261 (INFO)'\n";
       }
 
@@ -2957,5 +2957,5 @@
       print "List of options for command: $command\n";
       print " -p : name of the DHCP pool. Example: pool-legi-priv\n";
-      print " -d : domain set attachment for the pool. (domain set attachment must exist in file $COMPUTER_BASENAME.conf). Example: legi.grenoble-inp.fr\n";
+      print " -d : sector attachment for the pool. (sector attachment must exist in file $COMPUTER_BASENAME.conf). Example: legi.grenoble-inp.fr\n";
       print " -f : configuration filename on the DHCP server for the pool\n";
       print " -i : adresse(s) IP ou plage d'IP. Séparateur d'adresses IP: ','. Séparateur de plage '-'\n";
@@ -2982,5 +2982,5 @@
       print " -h : computer hostname (mandatory unless option -i)\n";
       print " -i : internet IP address (mandatory unless option -h)\n";
-      print " -d : domain set attachment (mandatory if option -h)\n";
+      print " -d : sector attachment (mandatory if option -h)\n";
       print " -b : name of the PXE/BOOTP configuration. Example: most\n";
       }
@@ -2990,5 +2990,5 @@
       print " -h : computer hostname (mandatory unless option -i)\n";
       print " -i : internet IP address (mandatory unless option -h)\n";
-      print " -d : domain set attachment (mandatory if option -h)\n";
+      print " -d : sector attachment (mandatory if option -h)\n";
       }
 
@@ -3007,5 +3007,5 @@
    elsif ($command eq 'change-mac') {
       print "List of options for command: $command\n";
-      print " -d : domain set attachment (mandatory). Example: -d legi-sector03\n";
+      print " -d : sector attachment (mandatory). Example: -d legi-sector03\n";
       print " -h : computer hostname (mandatory unless option -i)\n";
       print " -i : internet IP address (mandatory unless option -h). Possible value: classical IP address or the keyword 'pool'\n";
@@ -3015,5 +3015,5 @@
    elsif ($command eq 'change-ip') {
       print "List of options for command: $command\n";
-      print " -d : domain set attachment (mandatory). Example: -d legi-sector03\n";
+      print " -d : sector attachment (mandatory). Example: -d legi-sector03\n";
       print " -h : computer hostname (mandatory)\n";
       print " -i : new internet IP address (mandatory). Possible value: classical IP address\n";
@@ -3022,5 +3022,5 @@
    elsif ($command eq 'change-host') {
       print "List of options for command: $command\n";
-      print " -d : domain set attachment (mandatory). Example: -d legi-sector03\n";
+      print " -d : sector attachment (mandatory). Example: -d legi-sector03\n";
       print " -i : internet IP address (mandatory). Possible value: classical IP address\n";
       print " -h : new computer hostname (mandatory)\n";
@@ -3030,12 +3030,12 @@
    elsif ($command eq 'change-comment') {
       print "List of options for command: $command\n";
-      print " -d : domain set attachment (mandatory). Example: -d legi-sector03\n";
+      print " -d : sector attachment (mandatory). Example: -d legi-sector03\n";
       print " -m : physical MAC address (mandatory). Example: -m 0F:58:AB:2A:22:11\n";
       print " -c : new comment (mandatory)\n";
       }
 
-   elsif ($command eq 'change-domainset') {
+   elsif ($command eq 'change-sector') {
       print "List of options for command: $command\n";
-      print " -d : new domain set attachment (mandatory). Example: -d legi-661\n";
+      print " -d : new sector attachment (mandatory). Example: -d legi-661\n";
       print " -m : physical MAC address (mandatory). Example: -m 0F:58:AB:2A:22:11\n";
       print " -i : internet IP address (mandatory)\n";
@@ -3045,5 +3045,5 @@
       print "List of options for command: $command\n";
       print " -h : computer hostname (mandatory unless option -i or -m)\n";
-      print " -d : domain set attachment (mandatory). Example: -d legi-sector03\n";
+      print " -d : sector attachment (mandatory). Example: -d legi-sector03\n";
       print " -i : internet IP address (mandatory unless option -h or -m)\n";
       print " -m : physical MAC address (mandatory unless option -h or -i, priority). Example: -m 0F:58:AB:2A:22:11\n";
@@ -3053,5 +3053,5 @@
    elsif ($command eq 'load-database') {
       print "List of options for command: $command\n";
-      print " -d : domain set attachment\n";
+      print " -d : sector attachment\n";
       print " -f : input file in DHCP format\n";
       print " -k : possible cases (kind): dhcp, pool-dhcp, fix-address\n";
@@ -3062,5 +3062,5 @@
       print " -h : computer hostname (mandatory unless option -i)\n";
       print " -i : internet IP address (mandatory unless option -h)\n";
-      print " -d : domain set attachment (mandatory if option -h)\n";
+      print " -d : sector attachment (mandatory if option -h)\n";
       print "Examples:\n";
       print " ddt enable_pc -i 192.168.10.1\n";
@@ -3084,5 +3084,5 @@
       print " -h : computer hostname (mandatory unless option -i)\n";
       print " -i : internet IP address (mandatory unless option -h)\n";
-      print " -d : domain set attachment (mandatory if option -h)\n";
+      print " -d : sector attachment (mandatory if option -h)\n";
       print "Examples:\n";
       print " ddt disable_pc -i 192.168.10.1\n";
@@ -3092,5 +3092,5 @@
    elsif ($command eq 'del-pc') {
       print "List of options for command: $command\n";
-      print " -d : domain set attachment (mandatory)\n";
+      print " -d : sector attachment (mandatory)\n";
       print " -h : computer hostname (mandatory unless option -i)\n";
       print " -i : internet IP address (mandatory unless option -h)\n";
@@ -3139,36 +3139,36 @@
 ddt - management of computer names and IP addresses
 
- ddt add-alias [--hostname|-h hostname] [--domainset|-d domainset] [--alias|-a alias]
- ddt add-dhcp [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac] [--comment|-c comment]
- ddt add-float [--pool|-p pool] [--domainset|-d domainset] [--mac|-m mac] [--comment|-c comment]
- ddt add-static [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac] [--comment|-c comment]
- ddt add-virtual [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--comment|-c comment]
- ddt change-comment [--domainset|-d domainset] [--mac|-m mac] [--comment|-c comment]
- ddt change-domainset [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac]
- ddt change-host [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
- ddt change-ip [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
- ddt change-mac [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac]
- ddt change-tag [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac] [--tag|-t tag]
+ ddt add-alias [--hostname|-h hostname] [--sector|-s sector] [--alias|-a alias]
+ ddt add-dhcp [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--mac|-m mac] [--comment|-c comment]
+ ddt add-float [--pool|-p pool] [--sector|-s sector] [--mac|-m mac] [--comment|-c comment]
+ ddt add-static [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--mac|-m mac] [--comment|-c comment]
+ ddt add-virtual [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--comment|-c comment]
+ ddt change-comment [--sector|-s sector] [--mac|-m mac] [--comment|-c comment]
+ ddt change-sector [--sector|-s sector] [--ip|-i ip] [--mac|-m mac]
+ ddt change-host [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
+ ddt change-ip [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
+ ddt change-mac [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--mac|-m mac]
+ ddt change-tag [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--mac|-m mac] [--tag|-t tag]
  ddt check-dns [--direct] [--reverse]
- ddt create-domainset [--domainset|-d domainset] [--dns-extension|-e dns_extension] [--comment|-c comment]
- ddt create-pool [--pool|-p pool] [--domainset|-d domainset] [--file-pool|-f file_pool] [--ipaddress-pool|-i ipaddress_pool]
+ ddt create-sector [--sector|-s sector] [--dns-extension|-e dns_extension] [--comment|-c comment]
+ ddt create-pool [--pool|-p pool] [--sector|-s sector] [--file-pool|-f file_pool] [--ipaddress-pool|-i ipaddress_pool]
  ddt create-pxe [--bootp|-b pxe_config] [--next-server|-n next_server] [--filename|-f filename] [--comment|-c comment]
  ddt create-tag [--tag|-t tag] [--comment|-c comment]
  ddt del-float [--pool|-p pool] [--mac|-m mac]
- ddt del-pc [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
- ddt disable-pc [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
+ ddt del-pc [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
+ ddt disable-pc [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
  ddt disable-float [--pool|-p pool] [--mac|-m mac]
- ddt disable-pxe [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
+ ddt disable-pxe [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
  ddt enable-float [--pool|-p pool] [--mac|-m mac]
- ddt enable-pc [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
- ddt enable-pxe [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--bootp|-b pxe_config]
+ ddt enable-pc [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
+ ddt enable-pxe [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--bootp|-b pxe_config]
  ddt gen-dhcp-file
  ddt gen-dns-file [--verbose]
  ddt help
- ddt load-database [--domainset|-d domainset] [--filename|-f filename] [--kind|-k kind]
+ ddt load-database [--sector|-s sector] [--filename|-f filename] [--kind|-k kind]
  ddt remove-pxe [--bootp|-b pxe_config]
  ddt remove-tag [--tag|-t tag]
  ddt search-mac [--mac|-m mac]
- ddt show-domainset [--no-header|-H]
+ ddt show-sector [--no-header|-H]
  ddt show
  ddt show-pool [--no-header|-H]
@@ -3185,5 +3185,5 @@
  * add-virtual      : add a virtual computer with a static IP but a virtual MAC (useful to declare float computer in DNS)
  * change-comment   : change the computer comment
- * change-domainset : change the domain set attachment for a computer
+ * change-sector : change the sector attachment for a computer
  * change-host      : change the computer hostname
  * change-ip        : change the computer IP address
@@ -3191,5 +3191,5 @@
  * change-tag       : change the list of TAGs associated to a computer
  * check-dns        : check the DNS table for base IPs
- * create-domainset : create a new domain set
+ * create-sector : create a new sector
  * create-pool      : create a new pool for DHCP records
  * create-pxe       : create a new PXE/BOOTP configuration
@@ -3210,5 +3210,5 @@
  * remove-tag       : remove a TAG
  * search-mac       : search physical MAC address computer
- * show-domainset   : list all domain set group of computer
+ * show-sector   : list all sector group of computer
  * show             : list all computers
  * show-pool        : list all pool
@@ -3233,36 +3233,36 @@
 =head1 USAGE
 
- ddt add-alias [--hostname|-h hostname] [--domainset|-d domainset] [--alias|-a alias]
- ddt add-dhcp [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac] [--comment|-c comment]
- ddt add-float [--pool|-p pool] [--domainset|-d domainset] [--mac|-m mac] [--comment|-c comment]
- ddt add-static [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac] [--comment|-c comment]
- ddt add-virtual [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--comment|-c comment]
- ddt change-comment [--domainset|-d domainset] [--mac|-m mac] [--comment|-c comment]
- ddt change-domainset [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac]
- ddt change-host [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
- ddt change-ip [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
- ddt change-mac [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac]
- ddt change-tag [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac] [--tag|-t tag]
+ ddt add-alias [--hostname|-h hostname] [--sector|-s sector] [--alias|-a alias]
+ ddt add-dhcp [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--mac|-m mac] [--comment|-c comment]
+ ddt add-float [--pool|-p pool] [--sector|-s sector] [--mac|-m mac] [--comment|-c comment]
+ ddt add-static [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--mac|-m mac] [--comment|-c comment]
+ ddt add-virtual [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--comment|-c comment]
+ ddt change-comment [--sector|-s sector] [--mac|-m mac] [--comment|-c comment]
+ ddt change-sector [--sector|-s sector] [--ip|-i ip] [--mac|-m mac]
+ ddt change-host [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
+ ddt change-ip [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
+ ddt change-mac [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--mac|-m mac]
+ ddt change-tag [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--mac|-m mac] [--tag|-t tag]
  ddt check-dns [--direct] [--reverse]
- ddt create-domainset [--domainset|-d domainset] [--dns-extension|-e dns_extension] [--comment|-c comment]
- ddt create-pool [--pool|-p pool] [--domainset|-d domainset] [--file-pool|-f file_pool] [--ipaddress-pool|-i ipaddress_pool]
+ ddt create-sector [--sector|-s sector] [--dns-extension|-e dns_extension] [--comment|-c comment]
+ ddt create-pool [--pool|-p pool] [--sector|-s sector] [--file-pool|-f file_pool] [--ipaddress-pool|-i ipaddress_pool]
  ddt create-pxe [--bootp|-b pxe_config] [--next-server|-n next_server] [--filename|-f filename] [--comment|-c comment]
  ddt create-tag [--tag|-t tag] [--comment|-c comment]
  ddt del-float [--pool|-p pool] [--mac|-m mac]
- ddt del-pc [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
- ddt disable-pc [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
+ ddt del-pc [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
+ ddt disable-pc [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
  ddt disable-float [--pool|-p pool] [--mac|-m mac]
- ddt disable-pxe [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
+ ddt disable-pxe [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
  ddt enable-float [--pool|-p pool] [--mac|-m mac]
- ddt enable-pc [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
- ddt enable-pxe [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--bootp|-b pxe_config]
+ ddt enable-pc [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
+ ddt enable-pxe [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--bootp|-b pxe_config]
  ddt gen-dhcp-file
  ddt gen-dns-file [--verbose]
  ddt help
- ddt load-database [--domainset|-d domainset] [--filename|-f filename] [--kind|-k kind]
+ ddt load-database [--sector|-s sector] [--filename|-f filename] [--kind|-k kind]
  ddt remove-pxe [--bootp|-b pxe_config]
  ddt remove-tag [--tag|-t tag]
  ddt search-mac [--mac|-m mac]
- ddt show-domainset [--no-header|-H]
+ ddt show-sector [--no-header|-H]
  ddt show
  ddt show-pool [--no-header|-H]
@@ -3289,45 +3289,45 @@
 =head2 add-alias
 
- ddt add-alias [--hostname|-h hostname] [--domainset|-d domainset] [--alias|-a alias]
+ ddt add-alias [--hostname|-h hostname] [--sector|-s sector] [--alias|-a alias]
 
 =head2 add-dhcp
 
- ddt add-dhcp [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac] [--comment|-c comment]
+ ddt add-dhcp [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--mac|-m mac] [--comment|-c comment]
 
 =head2 add-float
 
- ddt add-float [--pool|-p pool] [--domainset|-d domainset] [--mac|-m mac] [--comment|-c comment]
+ ddt add-float [--pool|-p pool] [--sector|-s sector] [--mac|-m mac] [--comment|-c comment]
 
 =head2 add-static
 
- ddt add-static [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac] [--comment|-c comment]
+ ddt add-static [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--mac|-m mac] [--comment|-c comment]
 
 =head2 add-virtual
 
- ddt add-virtual [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--comment|-c comment]
+ ddt add-virtual [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--comment|-c comment]
 
 =head2 change-comment
 
- ddt change-comment [--domainset|-d domainset] [--mac|-m mac] [--comment|-c comment]
-
-=head2 change-domainset
-
- ddt change-domainset [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac]
+ ddt change-comment [--sector|-s sector] [--mac|-m mac] [--comment|-c comment]
+
+=head2 change-sector
+
+ ddt change-sector [--sector|-s sector] [--ip|-i ip] [--mac|-m mac]
 
 =head2 change-host
 
- ddt change-host [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
+ ddt change-host [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
 
 =head2 change-ip
 
- ddt change-ip [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
+ ddt change-ip [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
 
 =head2 change-mac
 
- ddt change-mac [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac]
+ ddt change-mac [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--mac|-m mac]
 
 =head2 change-tag
 
- ddt change-tag [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--mac|-m mac] [--tag|-t tag]
+ ddt change-tag [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--mac|-m mac] [--tag|-t tag]
 
 =head2 check-dns
@@ -3335,11 +3335,11 @@
  ddt check-dns [--direct] [--reverse]
 
-=head2 create-domainset
-
- ddt create-domainset [--domainset|-d domainset] [--dns-extension|-e dns_extension] [--comment|-c comment]
+=head2 create-sector
+
+ ddt create-sector [--sector|-s sector] [--dns-extension|-e dns_extension] [--comment|-c comment]
 
 =head2 create-pool
 
- ddt create-pool [--pool|-p pool] [--domainset|-d domainset] [--file-pool|-f file_pool] [--ipaddress-pool|-i ipaddress_pool]
+ ddt create-pool [--pool|-p pool] [--sector|-s sector] [--file-pool|-f file_pool] [--ipaddress-pool|-i ipaddress_pool]
 
 =head2 create-pxe
@@ -3357,9 +3357,9 @@
 =head2 del-pc
 
- ddt del-pc [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
+ ddt del-pc [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
 
 =head2 disable-pc
 
- ddt disable-pc [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
+ ddt disable-pc [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
 
 =head2 disable-float
@@ -3369,5 +3369,5 @@
 =head2 disable-pxe
 
- ddt disable-pxe [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
+ ddt disable-pxe [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
 
 =head2 enable-float
@@ -3377,9 +3377,9 @@
 =head2 enable-pc
 
- ddt enable-pc [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip]
+ ddt enable-pc [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip]
 
 =head2 enable-pxe
 
- ddt enable-pxe [--hostname|-h hostname] [--domainset|-d domainset] [--ip|-i ip] [--bootp|-b pxe_config]
+ ddt enable-pxe [--hostname|-h hostname] [--sector|-s sector] [--ip|-i ip] [--bootp|-b pxe_config]
 
 =head2 gen-dhcp-file
@@ -3397,5 +3397,5 @@
 =head2 load-database
 
- ddt load-database [--domainset|-d domainset] [--filename|-f filename] [--kind|-k kind]
+ ddt load-database [--sector|-s sector] [--filename|-f filename] [--kind|-k kind]
 
 =head2 remove-pxe
@@ -3411,7 +3411,7 @@
  ddt search-mac [--mac|-m mac]
 
-=head2 show-domainset
-
- ddt show-domainset [--no-header|-H]
+=head2 show-sector
+
+ ddt show-sector [--no-header|-H]
 
 =head2 show
Index: /trunk/ddt/ddt.bash_completion
===================================================================
--- /trunk/ddt/ddt.bash_completion	(revision 344)
+++ /trunk/ddt/ddt.bash_completion	(revision 345)
@@ -16,6 +16,6 @@
          return 0
          ;;
-      -d|--domainset)
-         local showlist=$(ddt show-domainset --no-header|awk '{print $1}')
+      -s|--sector)
+         local showlist=$(ddt show-sector --no-header|awk '{print $1}')
          COMPREPLY=($(compgen -W "${showlist}" -- "$cur"))
          return 0
